org.eclipse.emf.facet.widgets.celleditors

## Interface INaryFeatureCellEditor

    public interface INaryFeatureCellEditor

### Method Summary

All Methods Instance Methods Abstract Methods
`Control` `activateCell(Composite parent, EStructuralFeature feature, EObject source, EditingDomain editingDomain)` Initialize a cell for edition of a n-ary feature.

### Method Detail

#### activateCell

    Control activateCell(Composite parent,
                         EStructuralFeature feature,
                         EObject source,
                         EditingDomain editingDomain)

Initialize a cell for edition of a n-ary feature. This method must create a control inside the given parent to let the user edit the value.

Parameters:
  `parent` - the SWT control that must contain the cell editor
  `feature` - the model feature for which the value is edited
  `source` - the object containing the attribute or reference
  `editingDomain` - the source `EObject` must be edited only through this `EditingDomain`
Returns:
  the SWT `Control` to be used for capturing the new cell value